<?xml version="1.0" encoding="utf-8" ?>
<!--
  Written by Masaya YAMAGUCHI
  2020-09-29, 
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="simpledoc">
    <html xmlns:xhtml="http://www.w3.org/1999/xhtml">
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=shift_jis"/>
        <meta http-equiv="Content-Style-Type" content="text/css" />
        <link rel="stylesheet" href="simpledoc.css" type="text/css" />
        <title>
          <xsl:value-of select="@著者"/><xsl:text>-</xsl:text>
          <xsl:value-of select="@タイトル"/>
        </title>
      </head>
      <body>
        <h1>
          <xsl:value-of select="@著者"/><xsl:text>： </xsl:text>
          <xsl:value-of select="@タイトル"/>
        </h1>
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="text()|@*">
    <xsl:choose>
      <xsl:when test="ancestor::simpledoc">
	<xsl:call-template name="replace">
	  <xsl:with-param name="str" select="." />
	</xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
	<xsl:value-of select="."/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="br"><br/></xsl:template>

  <xsl:template match="tg">
    <span class="target_char">
      <xsl:attribute name="id">
        <xsl:value-of select="@id"/>
      </xsl:attribute>
      <xsl:apply-templates/>
    </span>
  </xsl:template>

  <!--
     Refered from
     http://www.geocities.co.jp/SiliconValley-Oakland/8718/faqxslt/replace2.xsl.txt
  -->
  <xsl:template name="replace">
    <xsl:param name="str"/>
    <xsl:choose>
      <xsl:when test="contains($str,'&#10;')">
        <xsl:value-of select="substring-before($str,'&#10;')"/><br />
        <xsl:call-template name="replace">
          <xsl:with-param name="str" select="substring-after($str,'&#10;')"/>
	</xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$str"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>
